#ifndef __NAA3D_VBALL_H__
#define __NAA3D_VBALL_H__

#include "Naa3D_VBallText.h"

class NaaVBall : public NaaSprite
{
public:

	static NaaVBallTexture *vb_text;

	NaaVBall()
	{
		if (!vb_text)
		{
			vb_text=new NaaVBallTexture();
			//NaaTextureAdd(vb_text);
		}
		//type=(SpriteType)(DistFade|Blend);
		type=(SpriteType)(DistFade|AlphaTest);
		c=NaaRGB(255,255,255);
		sx=sy=1.0f;
		txt=vb_text->AddRef();
	}

	void SetSize(float s)
	{
		sx=s;
		sy=s;
	}

	void ApplyLight(NaaVector3D &light)
	{
		NaaVBallTexture::VBallPos * tpos=vb_text->GetVBallFromLight(light);
		t[0]=tpos->t[0];
		t[1]=tpos->t[1];
	}
};

#endif
